#include <bits/stdc++.h>
# define endl            '\n'
# define clr(x,a)        memset(x,a,sizeof(x))
# define vi              vector<int>
# define all(a)          a.begin(), a.end()
# define deb(x)          cout<<#x<<"=="<<x<<endl;
# define pb              push_back
# define sc              scanf
# define pr              printf
# define tc              int testcase; cin>>testcase; while(testcase--)
# define rev(s)          reverse(s.begin(),s.end())
# define linija          cout<<"___________\n";
using namespace std;
int a1, a2;
string s;

int main(){
   cin>>s;
   cin>>a1>>a2;
   if(a1==a2 || a1==(a2+1)){
      bool prvi=1;
      for(int i=1; i<=(a1+a2); i++){
         if(prvi) cout<<s[0];
         else cout<<s[1];
         prvi=(!prvi);
      }
      cout<<endl;
   }
   else if((a1+1)==a2){
      bool prvi=0;
      for(int i=1; i<=(a1+a2); i++){
         if(prvi) cout<<s[0];
         else cout<<s[1];
         prvi=(!prvi);
      }
      cout<<endl;
   }
   else cout<<"nemoguce\n";

   return 0;
}